/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version   1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
jQuery(document).ready(function() {

    //var backcolor = signaturecolors.signature_backcolor;
    //var pencolor = signaturecolors.signature_penclr;
    console.log(myData.OCSIGN_BACK_CLR);
    var dsPad = new SignaturePad(document.getElementById("ocsign_field"), {
        backgroundColor: myData.OCSIGN_BACK_CLR,
        penColor: myData.OCSIGN_TEXT_CLR,
    });

    jQuery(document).on('touchstart touchend click', "#ocsign_field", function(event){
    // alert();
        if(event.handled === false) return
        event.stopPropagation();
        event.preventDefault();
        event.handled = true;
        // Do your magic here
        var dsimgdata = dsPad.toDataURL('image/png');
        jQuery("input[name=ocsignimgdata]").val(dsimgdata);
    });
    
    jQuery(".ocsignclear").click(function(){
        dsPad.clear();
        jQuery("input[name=ocsignimgdata]").val("");
    });
});
